Hardware Locality (hwloc) 2.11.2

Data Fields
hwloc_topology_support Struct Reference
Topology Detection Configuration and Query

`#include <hwloc.h>`

## Data Fields
struct hwloc_topology_discovery_support * | discovery
struct hwloc_topology_cpubind_support * | cpubind
struct hwloc_topology_membind_support * | membind
struct hwloc_topology_misc_support * | misc

## Detailed Description

Set of flags describing actual support for this topology.

This is retrieved with hwloc_topology_get_support() and will be valid until the topology object is destroyed. Note: the values are correct only after discovery.

## Field Documentation

## ◆ cpubind

struct hwloc_topology_cpubind_support* hwloc_topology_support::cpubind

## ◆ discovery

struct hwloc_topology_discovery_support* hwloc_topology_support::discovery

## ◆ membind

struct hwloc_topology_membind_support* hwloc_topology_support::membind

## ◆ misc

struct hwloc_topology_misc_support* hwloc_topology_support::misc

The documentation for this struct was generated from the following file:

- hwloc.h